Bug 678887 - Review Request: libst2205 - Library for accessing the display of hacked st2205 photo frames
Summary: Review Request: libst2205 - Library for accessing the display of hacked st220...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-20 16:21 UTC by Hans de Goede
Modified: 2011-03-03 08:41 UTC (History)
4 users (show)

Fixed In Version: libst2205-1.4.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 03:26:53 UTC
tla: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2011-02-20 16:21:30 UTC
Spec URL: http://people.fedoraproject.org/~jwrdegoede/libst2205.spec
SRPM URL: http://people.fedoraproject.org/~jwrdegoede/libst2205-1.4.3-1.fc15.src.rpm
Description:
It is possible to flash digital photo frames with the st2205 chip-sets with
a modified firmware, which allows one to display real time images on the
display of the frame from a PC. This package contains a library for accessing
the display from the PC, for st2205 frames with the hacked firmware.

Comment 1 Tim Lauridsen 2011-02-20 18:00:33 UTC
I will review this bug

Comment 2 Sergio Belkin 2011-02-20 19:06:07 UTC
Hi Hans I am (still) not member of packaging group, however I hope my review be useful:

AFAIK these are non-fatal errors:

1. BuildRoot is not needed anymore.
2. The same goes for clean section.

http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

The following is a fatal error, sorry for my insolenece taking into account that I'm not still of packaging group...

3. I don't know if I miss something but I see that koji  is failing trying to compile the package:

main.c:25:16: fatal error: gd.h: No such file or directory

The same applies for mock.

You should add

BuildRequieres: gd-devel

Also, is failing to find st2205.h, fix the %build section accordingly.

Greets

Comment 3 Hans de Goede 2011-02-20 19:22:59 UTC
Sergio,

Thanks for the feedback, here is a fixed version:

Spec URL: http://people.fedoraproject.org/~jwrdegoede/libst2205.spec
SRPM URL:
http://people.fedoraproject.org/~jwrdegoede/libst2205-1.4.3-2.fc15.src.rpm

Comment 4 Tim Lauridsen 2011-02-21 08:22:04 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Buildroot is correct (EPEL5 & Fedora < 10)
        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[x] : MUST - Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] : MUST - Each %files section contains %defattr
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint libst2205-1.4.3-2.fc15.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint libst2205-1.4.3-2.fc14.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint libst2205-devel-1.4.3-2.fc14.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint libst2205-debuginfo-1.4.3-2.fc14.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint libst2205-tools-1.4.3-2.fc14.i686.rpm
        ================================================================================
        libst2205-tools.i686: W: no-documentation
        libst2205-tools.i686: W: no-manual-page-for-binary st2205-setpic
        1 packages and 0 specfiles checked; 0 errors, 2 warnings.
        ================================================================================
        
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : c87f05a5f692e869d2d050aa3d4fd6c5
        MD5SUM upstream package : c87f05a5f692e869d2d050aa3d4fd6c5
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Spec uses macros instead of hard-coded directory names.
[x] : MUST - Package consistently uses macros.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-] : MUST - The spec file handles locales properly.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License file installed when any subpackage combination is installed.
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Compiler flags are appropriate.
[x] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - ldconfig called in %post and %postun if required.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package does not contain duplicates in %files.
[x] : MUST - Permissions on files are set properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Package contains a valid .desktop file.
[x] : MUST - Package contains code, or permissable content.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Header files in -devel subpackage, if present.
[x] : MUST - Static libraries in -static subpackage, if present.
[x] : MUST - Package contains no static executables.
[-] : MUST - Package requires pkgconfig, if .pc files are present.
[x] : MUST - Development .so files in -devel subpackage, if present.
[x] : MUST - Fully versioned dependency in subpackages, if present.
[x] : MUST - Package does not contain any libtool archives (.la).
[x] : MUST - Useful -debuginfo package or justification otherwise.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package does not genrate any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package is not relocatable.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Package installs properly.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[?] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[!] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[?] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - Spec use %global instead of %define.
[x] : SHOULD - Scriptlets must be sane, if used.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[-] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[?] : SHOULD - Packages should try to preserve timestamps of original installed files.
[-] : SHOULD - File based requires are sane.
[!] : SHOULD - Man pages included for all executables.
[?] : SHOULD - Uses parallel make.
[!] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.

No issues

APPROVED

Comment 5 Hans de Goede 2011-02-21 08:26:00 UTC
Thanks for the review!

Comment 6 Hans de Goede 2011-02-21 08:27:35 UTC
New Package SCM Request
=======================
Package Name: libst2205
Short Description: Library for accessing the display of hacked st2205 photo frames
Owners: jwrdegoede
Branches: f13 f14 f15
InitialCC:

Comment 7 Jason Tibbitts 2011-02-21 20:34:24 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-02-22 09:32:38 UTC
libst2205-1.4.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libst2205-1.4.3-2.fc15

Comment 9 Fedora Update System 2011-02-22 09:33:45 UTC
libst2205-1.4.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libst2205-1.4.3-2.fc14

Comment 10 Fedora Update System 2011-02-22 09:34:20 UTC
libst2205-1.4.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libst2205-1.4.3-2.fc13

Comment 11 Fedora Update System 2011-02-22 18:48:24 UTC
libst2205-1.4.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libst2205'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libst2205-1.4.3-2.fc14

Comment 12 Fedora Update System 2011-03-03 03:26:45 UTC
libst2205-1.4.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-03 08:39:59 UTC
libst2205-1.4.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-03 08:41:51 UTC
libst2205-1.4.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.